Library Version 18.1.40

DB->get_partition_keys()
Prev | Chapter 2. The DB Handle | Next

## DB->get_partition_keys()

    #include <db.h>

    int
    DB->get_partition_keys(DB *db, u_int32_t *partsp, DBT *keysp);

The `DB->get_partition_keys()` method returns the range of keys used to specify the values placed in each of a database's partitions. This information is set using the DB->set_partition() method.

The `DB->get_partition_keys()` method may be called at any time during the life of the application.

The `DB->get_partition_keys()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### partsp

The partsp parameter returns the number of partitions in the database.

#### keysp

The keysp parameter returns the set of keys used to place values in the database partitions.

### Class

DB

### See Also

Database and Related Methods, DB->set_partition()

Prev | Up | Next
DB->get_partition_dirs() | Home | DB->get_pagesize()